curl --request GET \
--url https://sandbox.api.byzantine.fi/v1/query/get-account-details \
--header 'X-Pubkey: <x-pubkey>' \
--header 'X-Pubkey, X-Timestamp, X-Signature: <api-key>' \
--header 'X-Signature: <x-signature>' \
--header 'X-Timestamp: <x-timestamp>'import requests
url = "https://sandbox.api.byzantine.fi/v1/query/get-account-details"
headers = {
"X-Pubkey": "<x-pubkey>",
"X-Timestamp": "<x-timestamp>",
"X-Signature": "<x-signature>",
"X-Pubkey, X-Timestamp, X-Signature": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Pubkey': '<x-pubkey>',
'X-Timestamp': '<x-timestamp>',
'X-Signature': '<x-signature>',
'X-Pubkey, X-Timestamp, X-Signature': '<api-key>'
}
};
fetch('https://sandbox.api.byzantine.fi/v1/query/get-account-details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"accountId": "550e8400-e29b-41d4-a716-446655440000",
"accountName": "<string>",
"accountType": "individual",
"users": [
{
"userId": "550e8400-e29b-41d4-a716-446655440000",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"role": "root"
}
],
"walletDetails": {
"walletAddress": "<string>",
"isTurnkeyWallet": true,
"isSmartAccount": {
"ethereum": true,
"base": true
}
},
"createdAt": "2023-11-07T05:31:56Z",
"entityInfo": {
"entityId": "550e8400-e29b-41d4-a716-446655440000",
"entityName": "<string>"
},
"accountBeneficiary": {
"userId": "550e8400-e29b-41d4-a716-446655440000",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>"
},
"bankAccounts": [
{
"bankAccountId": "550e8400-e29b-41d4-a716-446655440000",
"accountId": "550e8400-e29b-41d4-a716-446655440000",
"name": "<string>",
"liquidationAddress": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"destinationCurrency": "usd",
"destinationRail": "ach",
"bankAccountDetails": {
"country": "FRA",
"last4": "0804",
"bic": "BICFR12345"
}
}
],
"imageUrl": "<string>"
}Get details of a single account
Returns details for a specific account including name, type, wallet address, and associated entity information if applicable.
curl --request GET \
--url https://sandbox.api.byzantine.fi/v1/query/get-account-details \
--header 'X-Pubkey: <x-pubkey>' \
--header 'X-Pubkey, X-Timestamp, X-Signature: <api-key>' \
--header 'X-Signature: <x-signature>' \
--header 'X-Timestamp: <x-timestamp>'import requests
url = "https://sandbox.api.byzantine.fi/v1/query/get-account-details"
headers = {
"X-Pubkey": "<x-pubkey>",
"X-Timestamp": "<x-timestamp>",
"X-Signature": "<x-signature>",
"X-Pubkey, X-Timestamp, X-Signature": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Pubkey': '<x-pubkey>',
'X-Timestamp': '<x-timestamp>',
'X-Signature': '<x-signature>',
'X-Pubkey, X-Timestamp, X-Signature': '<api-key>'
}
};
fetch('https://sandbox.api.byzantine.fi/v1/query/get-account-details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"accountId": "550e8400-e29b-41d4-a716-446655440000",
"accountName": "<string>",
"accountType": "individual",
"users": [
{
"userId": "550e8400-e29b-41d4-a716-446655440000",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"role": "root"
}
],
"walletDetails": {
"walletAddress": "<string>",
"isTurnkeyWallet": true,
"isSmartAccount": {
"ethereum": true,
"base": true
}
},
"createdAt": "2023-11-07T05:31:56Z",
"entityInfo": {
"entityId": "550e8400-e29b-41d4-a716-446655440000",
"entityName": "<string>"
},
"accountBeneficiary": {
"userId": "550e8400-e29b-41d4-a716-446655440000",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>"
},
"bankAccounts": [
{
"bankAccountId": "550e8400-e29b-41d4-a716-446655440000",
"accountId": "550e8400-e29b-41d4-a716-446655440000",
"name": "<string>",
"liquidationAddress": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"destinationCurrency": "usd",
"destinationRail": "ach",
"bankAccountDetails": {
"country": "FRA",
"last4": "0804",
"bic": "BICFR12345"
}
}
],
"imageUrl": "<string>"
}Authorizations
Headers
Integrator's ECDSA public key (P-256 curve, compressed SEC1 format). Example: 0x038fedef7c12f93bbf342ad8943b7a825a3b41f61c9dc118b2c718efebabbf62fd
Unix timestamp in seconds (UTC). Must be within tolerance window (1 minute) to prevent replay attacks. Example: 1760375826
ECDSA signature (DER-encoded, hex with 0x prefix). Signs the message: {timestamp}{METHOD}{path_and_query}{json_body}. Example: 0x3045022100...
Query Parameters
The account ID A UUID string
"550e8400-e29b-41d4-a716-446655440000"
Response
Account details retrieved successfully
A UUID string
"550e8400-e29b-41d4-a716-446655440000"
Type of applicant for Sumsub verification
individual, company Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response body for entity information
Show child attributes
Show child attributes
Minimal user information (user id, name and email)
Show child attributes
Show child attributes
Show child attributes
Show child attributes

